Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSDistributedDestinationMBean

All Known Subinterfaces:
  JMSDistributedQueueMBean, JMSDistributedTopicMBean

public interface JMSDistributedDestinationMBean
extends JMSVirtualDestinationMBean

This MBean represents a JMS distributed destination. This can be a distributed queue or a distributed topic.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getLoadBalancingPolicy()` Return the load balancing policy for producers sending to this distributed destination.
`JMSTemplateMBean` | `getTemplate()` Return the JMS template that the distributed destination is derived from.
`void` | `setLoadBalancingPolicy(java.lang.String loadBalancingPolicy)` Set the load balancing policy for producers sending to this distributed destination.

Methods inherited from interface weblogic.management.configuration.JMSVirtualDestinationMBean
`getJNDIName, setJNDIName`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTemplate

    public JMSTemplateMBean getTemplate()

  Return the JMS template that the distributed destination is derived from.

### getLoadBalancingPolicy

    public java.lang.String getLoadBalancingPolicy()

  Return the load balancing policy for producers sending to this distributed destination.

  Defines whether producers will use the Round-Robin or Random distribution policy to balance the message load across the members of a distributed destination.

### setLoadBalancingPolicy

    public void setLoadBalancingPolicy(java.lang.String loadBalancingPolicy)
                                throws javax.management.InvalidAttributeValueException

  Set the load balancing policy for producers sending to this distributed destination.

  Defines whether producers will use the Round-Robin or Random distribution policy to balance the message load across the members of a distributed destination.

  Default Value: weblogic.management.configuration.JMSConstants.ROUND_ROBIN
  Legal Values: weblogic.management.configuration.JMSConstants.ROUND_ROBIN,weblogic.management.configuration.JMSConstants.RANDOM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference